EDIT - task #9330

Remove "NomenclaturalSource™” from OriginalSourceType
11/25/2020 09:24 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

As nomenclatural sources now have there own subclass PrimaryTaxonomicSource is enough for nomenclatural sources.

Having the additional source type in the enumeration requires that this source type is always removed from source type lists
(dropdowns) where it should not be an option.

Is ist in use for type designation sources? But also here it is enough to use PrimaryTaxonomicSource.
For other SingleSources the source type is not so clear but definetely it should not be NomenclaturalSource.

The only option that we could need NomenclaturalSource is that we store these sources together with the set of sources attached to
e.g. ldentifiableEntity/TaxonName. But this is currently not the case.

Related issues:

Related to EDIT - feature request #9331: Distinguish DescriptionElementSource... Closed
Related to EDIT - feature request #6581: Make all microreferenced references ... Closed
Related to EDIT - feature request #9327: Make taxon secundum reference an ori... Closed

Associated revisions

Revision 82¢933d5 - 03/18/2021 02:09 PM - Andreas Miiller
ref #9330 adapt testdata to removed NOR in vaadin

Revision 94775d95 - 03/18/2021 02:19 PM - Andreas Miiller
ref #9330 adapt testdata to removed SEP in vaadin

Revision c97c2e65 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9330 remove OriginalSource Type.nomenclaturalSource and secundumSource

Revision 623¢c5648 - 03/19/2021 02:04 PM - Andreas Miiller
ref #9330 adapt testdata to removed NOR in cdmlib

Revision 0c155366 - 03/19/2021 02:04 PM - Andreas Miiller
ref #9330 adapt testdata to removed SEP in cdmlib

Revision 2f1f8d57 - 03/19/2021 02:14 PM - Andreas Miiller
ref #9330 adapt testdata to removed SEP in taxeditor

Revision 11e08¢97 - 03/19/2021 02:14 PM - Andreas Miiller

ref #9330 adapt TaxEditor to removed NomenclaturalReference type

History

#1 - 03/17/2021 10:24 PM - Andreas Miiller

- Related to feature request #9331: Distinguish DescriptionElementSource and NamedSource added

#2 - 03/17/2021 10:24 PM - Andreas Miiller

- Related to feature request #6581: Make all microreferenced references OriginalSources added
#3 - 03/17/2021 10:25 PM - Andreas Miiller

- Related to feature request #9327: Make taxon secundum reference an original source added

#4 - 03/18/2021 12:40 PM - Andreas Miiller

- Subject changed from [DISCUSS] Remove "NomenclaturalSource" from OriginalSourceType to Remove "NomenclaturalSource" from
OriginalSourceType

- Status changed from New to Resolved
- Priority changed from New to Highest
- % Done changed from 0 to 50

NomenclaturalSource does not make sense as source type anymore (same as potential new source type secundum source). These sources are
always used as single sources and have there own class.

Usage still needs to be removed from TaxEditor code.
#5 - 03/19/2021 03:25 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Target version changed from CDM UML 5.43 to Release 5.22
- % Done changed from 50 to 100
